#include <16F76.h>
#device adc=8

#FUSES NOWDT                    //No Watch Dog Timer
#FUSES HS                       //High speed Osc (> 4mhz for PCM/PCH) (>10mhz for PCD)
//#FUSES XT                       //Crystal osc <= 4mhz for PCM/PCH , 3mhz to 10 mhz for PCD
#FUSES NOBROWNOUT               //No brownout reset

#use delay(clock=16000000)

#define RS_PIN       B5
#define RW_PIN       B6
#define ENABLE_PIN   B7
#define Data4        C0
#define Data5        C1
#define Data6        C2
#define Data7        C3

#define LED_OSC      PIN_A5

#include <lcd.c>
void main()
{
   set_tris_a(0x00);
   set_tris_b(0x00);
   set_tris_c(0x00);
   OUTPUT_A(0b00000001);
   OUTPUT_B(0);
   OUTPUT_C(0);
   lcd_init();
   lcd_putc("\fReady...\n");
   while(TRUE)
   {
      OUTPUT_TOGGLE(LED_OSC);
      delay_ms(1000);
   }
}
